GET TimeSaver/GetAuthenticationResult?bearer={bearer}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| bearer | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AuthenticateResult| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
Required |
|
| FailureTitle | string |
Required |
|
| FailureMessage | string |
Required |
|
| SessionID | globally unique identifier |
Required |
|
| ServiceBaseUrl | string |
Required |
|
| ReplicationUrl | string |
Required |
|
| Action | SecurityAuthenticationAction |
Required |
|
| ContactPhoto | Photo |
None. |
|
| SecurityGroupPhoto | Photo |
None. |
|
| Contact | Contact |
None. |
|
| SecurityGroup | SecurityGroup |
None. |
|
| Role | Role |
None. |
|
| CompanyRole | CompanyRole |
None. |
|
| Workflow | Workflow |
None. |
|
| CompanyRoleRole | Role |
None. |
|
| Token | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"failureTitle": "sample string 2",
"failureMessage": "sample string 3",
"sessionID": "8776822f-30a4-41d9-9ccb-740e7993b65c",
"serviceBaseUrl": "sample string 5",
"replicationUrl": "sample string 6",
"action": 0,
"contactPhoto": {
"$id": "1",
"id": "17d8ecfe-e55d-4399-a104-05cd623e8b14",
"photoImage": "QEA=",
"date": "2026-06-12T22:58:43.382584+00:00",
"name": "sample string 2",
"notes": "sample string 3",
"isCompressed": true
},
"securityGroupPhoto": {
"$ref": "1"
},
"contact": {
"$id": "2",
"id": "4e2e3f02-8a2e-46cc-831e-2d6b59d238b9",
"firstName": "sample string 2",
"lastName": "sample string 3",
"name": "sample string 4",
"cellNumber": "sample string 5",
"workNumber": "sample string 6",
"homeNumber": "sample string 7",
"email": "sample string 8",
"physicalAddress": "sample string 9",
"postalAddress": "sample string 10",
"birthday": "2026-06-12T22:58:43.382584+00:00",
"genderID": 1,
"contactStatusID": 1,
"photoID": "c4dbd557-e5d0-4d7e-b6e8-0586e80d0122",
"externalCode": "sample string 11",
"latitude": 1.1,
"longitude": 1.1,
"idNumber": "sample string 12",
"passportNumber": "sample string 13",
"displayName": "sample string 14",
"useDisplayName": true,
"optOutNotification": true,
"createdByContactID": "7d46bad1-f518-4886-9084-190bcf25460b",
"modifiedByContactID": "49bdbf4f-0349-4b3c-8044-ef917a0a7466",
"createdDate": "2026-06-12T22:58:43.382584+00:00",
"modifiedDate": "2026-06-12T22:58:43.382584+00:00"
},
"securityGroup": {
"$id": "3",
"id": "50c29b14-dfbf-49a2-9121-cc4c8332ea19",
"name": "sample string 2",
"description": "sample string 3",
"logVerbosityID": 4,
"blockSyncMessage": "sample string 5",
"syncPollingMin": 6,
"isBlocked": true,
"isCommercialWorkflow": true,
"isDefault": true,
"photoID": "8122cda2-7b1e-432d-835e-08e0b346c320"
},
"role": {
"$id": "4",
"id": "3ad5084f-3164-40d7-bc11-c2d99a1b6d7c",
"name": "sample string 2",
"description": "sample string 3",
"isSystemAdministrator": true,
"workflowID": "f2af93d9-661c-4e68-8eab-a013ff9edd8b",
"isGroupAdmin": true,
"workflow": {
"$id": "5",
"id": "85a8c53f-d2d1-4990-9255-e84f74fbe9f5",
"parentID": "d54426a0-fa9e-4521-a986-152c4d9c687e",
"typeID": 2,
"name": "sample string 3",
"description": "sample string 4",
"sequence": 5,
"active": true,
"caption": "sample string 7",
"iconName": "sample string 8",
"isMobile": true,
"alias": "sample string 10",
"notificationBadgeValueViewModel": "sample string 11",
"notificationBadgeBackgroundColour": "sample string 12",
"notificationBadgeTextColour": "sample string 13",
"isPercentageNotificationBadge": true,
"isVisible": true
}
},
"companyRole": {
"$id": "6",
"id": "2d575cf1-a7cc-48d8-b63e-3ed8884a7862",
"roleID": "69dd45f1-a100-4639-94ee-eb8dfee0b39e",
"securityGroupID": "33f4e2e2-1123-4053-807f-c4201d8e1192",
"workflowID": "03fd5659-2e4b-4623-b958-b19550cb8f2a",
"name": "sample string 5"
},
"workflow": {
"$ref": "5"
},
"companyRoleRole": {
"$ref": "4"
},
"token": "sample string 7"
}